UserModel userByIdFromJson(dynamic str) => (UserModel.fromJson(str));

UserBankDetailModel userBankDetailFromJson(dynamic str) =>
    (UserBankDetailModel.fromJson(str));

class UserModel {
  late final String sId;
  late final String sTypename;

  UserModel({required this.sId, required this.sTypename});

  UserModel.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['__typename'] = this.sTypename;
    return data;
  }
}

class UpdateUserProfileRequest {
  late final String? id;
  late final UpdateUserProfile? userInput;

  UpdateUserProfileRequest({
    this.id,
    this.userInput,
  });
}

class UpdateUserProfile {
  late final int? altIsdCode;
  late final String? contactName;
  late final String? companyName;
  late final String? altMobileNumber;
  late final String? firstName;
  late final String? lastName;

  UpdateUserProfile(
      {required this.altIsdCode,
      required this.contactName,
      required this.companyName,
      required this.altMobileNumber,
      required this.firstName,
      required this.lastName});

  UpdateUserProfile.fromJson(Map<String, dynamic> json) {
    altIsdCode = json['altIsdCode'];
    contactName = json['contactName'];
    companyName = json['companyName'];
    altMobileNumber = json['altMobileNumber'];
    firstName = json['firstName'];
    lastName = json['lastName'];
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['altIsdCode'] = this.altIsdCode;
    data['contactName'] = this.contactName;
    data['companyName'] = this.companyName;
    data['altMobileNumber'] = this.altMobileNumber;
    data['firstName'] = this.firstName;
    data['lastName'] = this.lastName;
    return data;
  }
}

class UpdateUserPassword {
  late final String? password;

  UpdateUserPassword({required this.password});

  UpdateUserPassword.fromJson(Map<String, dynamic> json) {
    password = json['password'];
  }
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['password'] = this.password;
    return data;
  }
}

class UpdateUserEmail {
  late final String? emailId;

  UpdateUserEmail({required this.emailId});

  UpdateUserEmail.fromJson(Map<String, dynamic> json) {
    emailId = json['emailId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['emailId'] = this.emailId;
    return data;
  }
}

class UserBankDetailModel {
  late final String? accountHolderName;
  late final String? accountNumber;
  late final String? ifscCode;

  UserBankDetailModel({
    required this.accountHolderName,
    required this.accountNumber,
    required this.ifscCode,
  });

  UserBankDetailModel.fromJson(Map<String, dynamic> json) {
    print('json');
    print(json);
    if (json != null) {
      accountHolderName = json['accountHolderName'];
      accountNumber = json['accountNumber'];
      ifscCode = json['ifscCode'];
    } else {
      accountHolderName = "";
      accountNumber = "";
      ifscCode = "";
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountHolderName'] = this.accountHolderName;
    data['accountNumber'] = this.accountNumber;
    data['ifscCode'] = this.ifscCode;
    return data;
  }
}

UserDetails userDetailsFromJson(dynamic str) => (UserDetails.fromJson(str));

class UserDetails {
  late final String? sId;
  late final String? contactName;
  late final String? mobileNumber;
  late final String? firstName;
  late final String? lastName;
  late final int? isdCode;
  late final int? altIsdCode;
  late final String? emailId;
  late final String? companyName;
  late final String? altMobileNumber;
  late final String? gstNumber;

  UserDetails(
      {required this.sId,
      required this.contactName,
      required this.mobileNumber,
      required this.firstName,
      required this.lastName,
      required this.isdCode,
      required this.altIsdCode,
      required this.emailId,
      required this.companyName,
      required this.altMobileNumber,
      required this.gstNumber});

  UserDetails.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    contactName = json['contactName'];
    mobileNumber = json['mobileNumber'];
    firstName = json['firstName'];
    lastName = json['lastName'];
    isdCode = json['isdCode'];
    altIsdCode = json['altIsdCode'];
    emailId = json['emailId'];
    companyName = json['companyName'];
    altMobileNumber = json['altMobileNumber'];
    gstNumber = json['gstNumber'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['contactName'] = this.contactName;
    data['mobileNumber'] = this.mobileNumber;
    data['firstName'] = this.firstName;
    data['lastName'] = this.lastName;
    data['isdCode'] = this.isdCode;
    data['altIsdCode'] = this.altIsdCode;
    data['emailId'] = this.emailId;
    data['companyName'] = this.companyName;
    data['altMobileNumber'] = this.altMobileNumber;
    data['gstNumber'] = this.gstNumber;
    return data;
  }
}
