import 'package:graphql_flutter/graphql_flutter.dart';

import '../../GraphQLConfiguration.dart';

import 'filter_model.dart';

class CategoryPackAttributeRepo {
  var graphQLConfiguration;

  var categoryPackAttribute;
  CategoryPackAttributeRepo() {
    graphQLConfiguration = GraphQLConfiguration();
  }

  Future<CategoryPackAttribute> getCategoryPackAttribute(
      String categoryLink, List filter) async {
    GraphQLClient _client = graphQLConfiguration.clientToQuery();

    var categoryAttrGql = """ 
                  query getProductAttribute(\$categoryLink: String, \$filter: [FilterAttribute]) {
                getProductAttribute(categoryLink: \$categoryLink, filter: \$filter) {
                  category {
                    _id
                    categoryName
                    categoryDescription
                    __typename
                  }
                  attribute {
                    attributeFieldId
                    fieldEnable
                    fieldSetting
                    labelName
                    fieldName
                    checked
                    fieldValue {
                      attributeFieldValueId
                      attributeFieldValue
                      checked
                      __typename
                    }
                    __typename
                  }
                  priceRange {
                    low
                    high
                    selectedLow
                    selectedHigh
                    __typename
                  }
                  __typename
                }
              }

            """;

    final vble = {"categoryLink": categoryLink, "filter": filter};
    QueryResult result = await _client.query(QueryOptions(
      document: gql(categoryAttrGql),
      variables: vble,
      fetchPolicy: FetchPolicy.networkOnly,
    ));

    if (!result.hasException) {
      var categoryAttr = result.data!['getProductAttribute'];

      if (categoryAttr != null) {
        categoryPackAttribute = filterSetFromJson(categoryAttr);
      }
      return categoryPackAttribute;
    }
    return categoryPackAttribute;
  }
}
