class HomeSettingModel {
  final String id;
  final num sortOrder;
  final String type;
  final String typeId;
  final String display;
  final bool status;

  HomeSettingModel(this.id, this.sortOrder, this.type, this.typeId,
      this.display, this.status);
}

RetrieveLandingPage retrieveLandingPageJson(dynamic str) =>
    (RetrieveLandingPage.fromJson(str));

class RetrieveLandingPage {
  late final String? sId;
  late final String? title;
  late final List<Contents>? contents;
  late final String? sTypename;

  RetrieveLandingPage(
      {required this.sId,
      required this.title,
      required this.contents,
      required this.sTypename});

  RetrieveLandingPage.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    title = json['title'];
    if (json['contents'] != null) {
      contents = <Contents>[];
      json['contents'].forEach((v) {
        contents!.add(new Contents.fromJson(v));
      });
    }
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['title'] = this.title;
    if (this.contents != null) {
      data['contents'] = this.contents!.map((v) => v.toJson()).toList();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class Contents {
  late final String? sId;
  late final int? position;
  late final HomeContentId? homeContentId;
  late final String? sTypename;

  Contents(
      {required this.sId,
      required this.position,
      required this.homeContentId,
      required this.sTypename});

  Contents.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    position = json['position'];
    homeContentId = json['homeContentId'] != null
        ? new HomeContentId.fromJson(json['homeContentId'])
        : null;
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['position'] = this.position;
    if (this.homeContentId != null) {
      data['homeContentId'] = this.homeContentId!.toJson();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class HomeContentId {
  late final String? sId;
  late final String? name;
  late final bool? status;
  late final String? contentType;
  late final String? displayType;
  late final int? count;
  late final List<Banners>? banners;
  late final List<Promotions>? promotions;
  late final String? sTypename;

  HomeContentId(
      {required this.sId,
      required this.name,
      required this.status,
      required this.contentType,
      required this.displayType,
      required this.count,
      required this.banners,
      required this.promotions,
      required this.sTypename});

  HomeContentId.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    name = json['name'];
    status = json['status'];
    contentType = json['contentType'];
    displayType = json['displayType'];
    count = json['count'];
    if (json['banners'] != null) {
      banners = <Banners>[];
      json['banners'].forEach((v) {
        banners!.add(new Banners.fromJson(v));
      });
    }
    if (json['promotions'] != null) {
      promotions = <Promotions>[];
      json['promotions'].forEach((v) {
        promotions!.add(new Promotions.fromJson(v));
      });
    }
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['name'] = this.name;
    data['status'] = this.status;
    data['contentType'] = this.contentType;
    data['displayType'] = this.displayType;
    data['count'] = this.count;
    if (this.banners != null) {
      data['banners'] = this.banners!.map((v) => v.toJson()).toList();
    }
    if (this.promotions != null) {
      data['promotions'] = this.promotions!.map((v) => v.toJson()).toList();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class Banners {
  late final String? sId;
  late final String? title;
  late final String? imageName;
  late final bool? status;
  late final String? link;
  late final String? sTypename;

  Banners(
      {required this.sId,
      required this.title,
      required this.imageName,
      required this.status,
      required this.link,
      required this.sTypename});

  Banners.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    title = json['title'];
    imageName = json['imageName'];
    status = json['status'];
    link = json['link'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['title'] = this.title;
    data['imageName'] = this.imageName;
    data['status'] = this.status;
    data['link'] = this.link;
    data['__typename'] = this.sTypename;
    return data;
  }
}

class Promotions {
  late final String? sId;
  late final String? packId;
  late final Pack? pack;
  late final String? sTypename;

  Promotions(
      {required this.sId,
      required this.packId,
      required this.pack,
      required this.sTypename});

  Promotions.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    packId = json['packId'];
    pack = json['pack'] != null ? new Pack.fromJson(json['pack']) : null;
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['packId'] = this.packId;
    if (this.pack != null) {
      data['pack'] = this.pack!.toJson();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class Pack {
  late final String? sId;
  late final String? packSKU;
  late final String? packName;
  late final List<PackImages>? packImages;
  late final List<SetIds>? setIds;
  late final String? sTypename;

  Pack(
      {required this.sId,
      required this.packSKU,
      required this.packName,
      required this.packImages,
      required this.setIds,
      required this.sTypename});

  Pack.fromJson(Map<String, dynamic> json) {
    sId = json['_id'];
    packSKU = json['packSKU'];
    packName = json['packName'];
    if (json['packImages'] != null) {
      packImages = <PackImages>[];
      json['packImages'].forEach((v) {
        packImages!.add(new PackImages.fromJson(v));
      });
    }
    if (json['setIds'] != null) {
      setIds = <SetIds>[];
      json['setIds'].forEach((v) {
        setIds!.add(new SetIds.fromJson(v));
      });
    }
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['_id'] = this.sId;
    data['packSKU'] = this.packSKU;
    data['packName'] = this.packName;
    if (this.packImages != null) {
      data['packImages'] = this.packImages!.map((v) => v.toJson()).toList();
    }
    if (this.setIds != null) {
      data['setIds'] = this.setIds!.map((v) => v.toJson()).toList();
    }
    data['__typename'] = this.sTypename;
    return data;
  }
}

class PackImages {
  late final String? packImageName;
  late final String? sTypename;

  PackImages({required this.packImageName, required this.sTypename});

  PackImages.fromJson(Map<String, dynamic> json) {
    packImageName = json['packImageName'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['packImageName'] = this.packImageName;
    data['__typename'] = this.sTypename;
    return data;
  }
}

class SetIds {
  late final int? setPrice;
  late final String? sTypename;

  SetIds({required this.setPrice, required this.sTypename});

  SetIds.fromJson(Map<String, dynamic> json) {
    setPrice = json['setPrice'];
    sTypename = json['__typename'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['setPrice'] = this.setPrice;
    data['__typename'] = this.sTypename;
    return data;
  }
}
