import 'package:graphql_flutter/graphql_flutter.dart';

import '../../GraphQLConfiguration.dart';
import 'local_cart_model.dart';

class LocalCartRepo {
  var graphQLConfiguration;

  List<LocalCart> localCartList = [];
  LocalCartRepo() {
    graphQLConfiguration = GraphQLConfiguration();
  }

  Future<List<LocalCart>> getLocalCart(List localCart) async {
    GraphQLClient _client = graphQLConfiguration.clientToQuery();

    var localCartGql = """ 
                   query getLocalCart(\$localCart: [LocalCartInput]) {
                  getLocalCart(localCart: \$localCart) {
                    packName
                    packId
                    packImage
                    packSku
                    setId
                    quantity
                    piece
                    setPrice
                    price
                    variant
                    igst
                    cgst
                    sgst
                    variantValue
                    isOutofstock
                    __typename
                  }
                }
            """;

    final vble = {
      "localCart": localCart,
    };
    QueryResult result = await _client.query(QueryOptions(
      document: gql(localCartGql),
      variables: vble,
      fetchPolicy: FetchPolicy.networkOnly,
    ));

    if (!result.hasException) {
      var localCart = result.data!['getLocalCart'];

      if (localCart != null && localCart.length > 0) {
        localCartList = localCartListFromJson(localCart);
      }
      return localCartList;
    }
    return localCartList;
  }
}
